Description

After renaming a machine called "ubuntu64" to "services", I now see the attached image for my Host page. Looks like the rename is

missing a step somewhere. All DNS etc seems ok, so it's just cosmetic.

History

#1 - 09/13/2012 10:46 AM - Greg Sutcliffe

- Category set to Web Interface

#2 - 10/14/2012 10:52 AM - Joseph Magen

- Status changed from New to Feedback

Unable to replicate

Title in view is @host.to_label --> @host.name.  Seems OK.

#3 - 11/15/2012 12:35 PM - Sam Kottler

Like Joseph, I can't reproduce this. Greg, can you provide more info or try again with develop?

#4 - 11/19/2012 05:44 AM - Greg Sutcliffe

- Status changed from Feedback to Assigned

I can reproduce it, but only on Libvirt hosts, not Bare Metal (haven't tried other hypervisors). I've sent Amos a ton of debug info. Specifically, look at

the <title> page element on a Libvirt hosts it gets doubled up:

<title>foo.bar.comfoo.bar.com</title>

Despite this, it renders properly (weird). More weird is what happens when you rename this host - only one of the duplicates changes:

<title>baz.bar.comfoo.bar.com</title>

I suspect it's related to the fact that the name change doesn't alter the underlying XML from libvirt, and we're using it somehow....

#5 - 09/04/2014 04:42 AM - Joseph Magen

- Description updated

I tried again and could not reproduce

#6 - 09/04/2014 08:58 AM - Dominic Cleal

- Status changed from Assigned to Resolved

At some point the title used to show both the libvirt "domain" name and our record of the hostname.  The CR name has been removed since.
